# Bookmark audio fragment

Browser extension to bookmark (or link to) fragments of audio files.

![screenshot](screenshot.png)


## Status

Proof-of-concept. Currently only usable for small files.


## Description

This extension replaces the browser’s default audio player interface with one that allows selecting any segments of the track and bookmarking them.

To try it out, open an audio file in the browser (ensure it is not configured to open audio in an external application), click and drag over a part of the visualisation of the track, then right-click to open the menu, and choose to bookmark the selected segment.

You can also copy a link to a segment to share it with others. Most browsers can read such links and will jump to the chosen spot in the track, because this extension uses the standard way to specify media fragments.

As an example, a link would look like `https://example.org/file.mp3#t=10,15.5`; which points at the segment from 10 seconds up to 15 and a half seconds into the track.


## Install

The extension is available for Firefox and Chromium/Chrome/Brave/etc.

For Firefox and its derivatives, find it [on Mozilla Addons][].

To install it on a Chromium-based browser, download the ‘….chrome.zip’ file from the [releases][] page, open `about:extensions`, turn on developer mode, then drag the zip file onto that page.


## Develop

This project uses [webextension-toolbox](https://github.com/webextension-toolbox/webextension-toolbox#development) for building/bundling the source code. Look there for details about how to bundle the extension.


[on Mozilla Addons]: https://addons.mozilla.org/en-US/firefox/addon/bookmark-audio-fragment/
[releases]: https://code.treora.com/gerben/bookmark-audio-fragment/releases/
